Get Station Details
curl --request GET \
--url https://connect.cariqa.com/api/v1/stations/details/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://connect.cariqa.com/api/v1/stations/details/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://connect.cariqa.com/api/v1/stations/details/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"address": "<string>",
"coordinates": {
"latitude": "<string>",
"longitude": "<string>"
},
"opening_times": {
"twentyfourseven": true,
"regular_hours": [
{
"period_begin": "<string>",
"period_end": "<string>",
"weekday": "MONDAY"
}
]
},
"operator": {
"name": "<string>",
"contact": {
"phone": "<string>"
}
},
"evses": [
{
"evse_id": "<string>",
"status": "AVAILABLE"
}
],
"last_updated": "<string>",
"price_groups": [
{
"type": "<string>",
"power": 123,
"evse_ids": [
"<string>"
],
"prices": {
"time_price": {},
"kwh_price": {},
"blocking_fee": {},
"session_fee": {},
"starting_fee": {},
"session_time_price": {},
"time_price_while_energy_flow": {},
"time_price_while_no_energy_flow": {}
},
"local_datetime": "2023-11-07T05:31:56Z",
"currency": "<string>",
"pre_authorization_amount": "<string>",
"is_fallback": false,
"max_cost": {
"excl_vat": "<string>",
"incl_vat": "<string>"
},
"min_cost": {
"excl_vat": "<string>",
"incl_vat": "<string>"
}
}
],
"operator_name": "<string>",
"location_name": "<string>",
"speed": "slow",
"status": "free",
"amenities": [
"HOTEL"
],
"is_partner": false,
"logo_url": "<string>",
"sold_by": "<string>"
}{
"detail": "<string>",
"error": {
"type": "validation_error",
"details": "<string>",
"payment_intent_client_secret": "<string>"
}
}{
"detail": "<string>"
}{
"detail": "<string>"
}Stations
Get Station Details
Retrieve station details
GET
/
api
/
v1
/
stations
/
details
/
Get Station Details
Authorizations
JWT Authorization header using the Bearer scheme.
Query Parameters
Minimum string length:
1evse_id- evse_idstation_id- station_id
Available options:
evse_id, station_id Minimum string length:
1Response
Serializer for OCPI station details.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Serializer for OCPI operator information.
Attributes: name (str): The name of the operator (required). contact: Operator's contact information.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Name of the operator station belongs to
Name of the location (if exists)
slow- slowfast- fastturbo- turbo
Available options:
slow, fast, turbo free- freebusy- busyunknown- unknownerror- error
Available options:
free, busy, unknown, error HOTEL- HOTELRESTAURANT- RESTAURANTCAFE- CAFEMALL- MALLSUPERMARKET- SUPERMARKETSPORT- SPORTRECREATION_AREA- RECREATION_AREANATURE- NATUREMUSEUM- MUSEUMBUS_STOP- BUS_STOPTAXI_STAND- TAXI_STANDTRAIN_STATION- TRAIN_STATIONAIRPORT- AIRPORTCARPOOL_PARKING- CARPOOL_PARKINGFUEL_STATION- FUEL_STATIONWIFI- WIFI
Available options:
HOTEL, RESTAURANT, CAFE, MALL, SUPERMARKET, SPORT, RECREATION_AREA, NATURE, MUSEUM, BUS_STOP, TAXI_STAND, TRAIN_STATION, AIRPORT, CARPOOL_PARKING, FUEL_STATION, WIFI Legal entity that issues the invoice for a charging session (merchant of record)
Was this page helpful?
